Link Card API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Link Card API facilitates the association of a physical card with a specific customer account/wallet.

Environment

Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/uat/sbx/api/issuance/v1/cards/customer/link \
     --header 'X-Consumer-Custom-ID: F42BC4E7B801C834B630DE498473533F' \
     --header 'bankId: 6060' \
     --header 'clientId: 1060' \
     --header 'content-type: application/json' \
     --header 'secureCode: pu8gSMLNE7pNv36IlUmstU' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725'
Response parameters
AttributeTypeParameter RequirementDescription
messageCodeNumeric (4)MandatoryCode to Identity “Link Card” API response
clientTxnIdString (100)MandatoryEchoed from the request.
customerMobileNumeric (15)ConditionalEchoed from the request.
customerIdString (20)ConditionalEchoed from the request.
urnNumeric (11)MandatoryEchoed from the request.
loadAmountNumeric (12)OptionalIt is the amount for which card needs to be activated, send 0 if card needs to be activated for zero amount. It will be implied decimal by 2 digits.
txnfeeAmountNumeric (12)OptionalIt is the amount which deducted as a transaction fee and won't be loaded to the card. It will be implied decimals.
Sample response (Decrypted)
{
 "urn": 70000001329,
 "customerId": "000000000063",
 "responseCode": "00",
 "messageCode": 3611,
 "clientTxnId": "CardLink_20240219120001",
 "clientId": "2030",
 "responseDateTime": "20240219163123",
 "accosaTransactionId": 12291,
 "responseMessage": "SUCCESS",
 "bankId": 7030,
 "customerMobile": "918105863748"
}
Response parameters
Error CodeDescription
00SUCCESS
1001CARD NOT FOUND
1004CARD ALREADY ACTIVATED
1031INVALID BANK ID
1032INVALID CLIENT CHANNEL
1049INVALID SECURE CODE
1052SYSTEM ERROR
1053REQUEST NOT FOUND
1056INVALID MESSAGE CODE
1081OPERATION NOT ALLOWED
1088INVALID DATE FORMAT
1093INVALID CLIENT TXN ID
1133Card is already expired. Please try with different card
1134Card cannot be activated as Minimum Usage validity is 6 months for this Product.
1283LOGIN SERVICE INTEGRATION CALL FAILURE
1303CUSTOMER DETAILS NOT PRESENT
1320REQUEST_DATETIME_IS_MANDATORY
1342UNIQUE IDENTIFIER REQUIRED LIKE URN OR CUSTOMERID
1346URN IS MANDATORY
1359INVALID LOAD AMOUNT
1376INVALID UNLOAD AMOUNT
1500SYSTEM ERROR
1502SYSTEM ERROR
1502SYSTEM ERROR
3001ACS CARD PUSH API INTEGRATION CALL FAILURE
3002ACS CARD PUSH BIN VALIDATION FAILED
5003BANK ID NOT WITH CLIENT
9343CLIENT TXN ID IS MANDATORY
303178Request DateTime Length should not be more than 14 characters

Request parameters

Body Params
string
required

This parameter must contain the token generated using the Encrypt API.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

integer
required

This parameter must contain the Unique ID for the client shared by Wibmo.

integer
required

This parameter must contain the bank ID. Include 6060 for PayU.

integer
required

This parameter must contain the child corporate/branch entity ID under the client. This will be generated from the CMS. The default value is 100.

string
required

This parameter must contain the secure code that uniquely identifies the client on payload level for performing operations. Secure code will be shared by Wibmo separately.

string
required

This parameter must contain the unique consumer ID provided by the vendor for which bill is being paid or recharged.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!